Subject: Re: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Dec 2023 09:27:16 -0500

> Does the same problem exist for deleting rectangles in texts
> with a variable-pitch font?

No, with variable pitch fonts there is also a problem but it's
a different one.  Basically the rectangle commands operate by pretending
your font is monospaced.  You can see it with the rectangle highlighting
of `C-x SPC` where the "rectangle" won't be very rectangular in the
presence of variable pitch fonts.

For such cases, it's not even clear what The Right Thing™ should be.

        Stefan